<div class="card mb-4" stag-collapsible-card="mcp-rm">
    <div class="card-header pl-2">
        <strong>
            Caremonth Tiers
        </strong>
    </div>
    <div class="card-body p-0">
        @include('app.mcp.dashboard.caremonth-tiers-filter')
        <table class="table table-sm table-striped">
            <thead>
                <tr>
                    <th>Patient</th>
                    <th>Days with meas.</th>
                    <th>Mins Billed</th>
                    <th>Inter.</th>
                    <th>Billable</th>
                </tr>
            </thead>
            <tbody>
                @foreach($caremonthTiersList as $cm)
                <?php
                    $lastVisitWithinDays = ($cm->days_between_most_recent_mcp_note_date_and_end_of_care_month  <= config('app.maxDaysSinceLastVisit'));
                ?>
                <tr discardable-container="">
                    <td>
                        <a class="d-block" href="{{ route('patients.view.care-months.view.dashboard', ['patient' => $cm->client, 'careMonth' => $cm]) }}">{{ $cm->client->displayName() }}</a>
                    </td>
                    <td>
                        {{ $cm->number_of_days_with_remote_measurements ?? 0 }}
                    </td>
                    <td>
                        {{round($cm->rm_total_time_in_seconds_by_mcp / 60)}}m {{round($cm->rm_total_time_in_seconds_by_mcp % 60)}}s
                    </td>
                    <td>
                        @if($lastVisitWithinDays && $cm->has_mcp_interacted_with_client_about_rm)
                            <span class="text-success font-weight-bold"><i class="fa fa-check"></i> YES</span>
                        @else
                            <span class="text-danger font-weight-normal">NO</span>
                        @endif
                    </td>
                    <td>
                        @if($cm->tier() === 'TIER_1')
                            <span class="text-success font-weight-bold"><i class="fa fa-check"></i> YES <small class="text-muted">Tier 1</small></span>
                        @elseif($cm->tier() === 'TIER_2')
                            <span class="text-success font-weight-bold"><i class="fa fa-check"></i> YES <small class="text-muted">Tier 2</small></span>
                        @else
                            <span class="text-danger font-weight-normal">NO</span>
                        @endif
                    </td>
                </tr>
                @endforeach
            </tbody>
        </table>
        <div>
            {{ $caremonthTiersList->withQueryString()->links() }}
        </div>
    </div>
</div>
